org.apache.lucene.search.spell

## Class LuceneDictionary

- java.lang.Object
- - org.apache.lucene.search.spell.LuceneDictionary

- All Implemented Interfaces:
    Dictionary

      public class LuceneDictionary
      extends java.lang.Object
      implements Dictionary

  Lucene Dictionary: terms taken from the given field of a Lucene index. When using IndexReader.terms(Term) the code must not call next() on TermEnum as the first call to TermEnum, see: http://issues.apache.org/jira/browse/LUCENE-6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneDictionary(IndexReader reader, java.lang.String field)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator` | `getWordsIterator()` Return all words present in the dictionary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneDictionary

          public LuceneDictionary(IndexReader reader,
                                  java.lang.String field)

  - ### Method Detail

    - #### getWordsIterator

          public final java.util.Iterator getWordsIterator()

      Description copied from interface: `Dictionary`
      Return all words present in the dictionary
      Specified by:
        `getWordsIterator` in interface `Dictionary`
      Returns:
        Iterator

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.